//***************************************************************************************
//	Example code for EZ-Controller available from http://www.sourceboost.com/Products/Products.html
// 
//	This Example is using a common cathode 7 segments
//	Connection Configuration:
//	
//	EZ-CONTROLLER		7 Segments Common Cathode (MAN4940A)
//		RC0(14)		=	Anode A(14)
//		RC1(13)		=	Anode B(13)
//		RC2(12)		=	Anode C (8)
//		RC3(11)		=	Anode D	(7)
//		RC4(10)		=	Anode E (6)
//		RC5 (9)		=	Anode F (1)
//		RC6 (1)		=	Anode G (2)
//			
//	**Note:	The Two top Configuration Jumpers must be in position RC6 and RC7( 2-3 & 4-5 )
//		otherwise the microcontroller is set up for USART communication.
//
//
// Author: Richard Martin
//
// Thanks to Marc-Andr Boulianne
// 05/11/05 Kalamyr@yahoo.com
//**************************************************************************************
//
// This code will work with EZ-Controller or EZ-Controller Turbo, but there are a couple
// of this you need correctly set:
//
// 1) Ensure you have the correct linker command line option for your target
// Menu Settings->Options->Compile Options->Extra Linker Options:
// '-rb 0x200' for EZ-Controller.
// '-rb 0x800' for EZ-Controller Turbo.
//
// 2) Make sure you have the correct target device selected:
// PIC18F252  for EZ-Controller
// PIC18F2520 for EZ-Controller Turbo


#include "system.h"					// Main Compiler Header
#pragma CLOCK_FREQ	20000000		// Used with 20Mhz crystal

void main()
{
	unsigned char Segments[16]= {			//7 Segments with PortC as Source
	0x3F,0x06,0x5B,0x4F,0x66,0x6D,
	0x7D,0x07,0x7F,0x6F,0x77,0x7C,
	0x39,0x5E,0x79,0x71
	};
	
	unsigned char Counter = 0;	// Counter 0 - 9
	
	trisc = 0;				// PortC in Ouput
	latc = 0;				// Using latc because portc used in output mode
   
	while( 1 )		// Main Loop
	{
		latc = Segments[ Counter++ ];		// Latc Refered to Segments Array
		delay_s( 1 );					// 1 Second delay
		if ( Counter > 9 )	// If greater than 9 --->
			Counter = 0;	// Return Counter to 0 value	
	}
}