//***************************************************************************************
//    Example code for EZ-Controller available from http://www.sourceboost.com/Products/Products.html
// 
//    EXAMPLE CODE TO SHOW HOW TO FLASH A LED
//    YOU JUST HAVE TO CONNECT A LED TO PORT RB7 THROUGH
//    A 330R RESISTOR         |\
//    ______/\  /\  /\   _____| \_________
//    RB7     \/  \/   \/  A  | / K        GND
//                            |/   
//
//    330R (ORANGE,ORANGE,BROWN)    LED
//
// Author: Pavel Baranov
//
//**************************************************************************************
//
// This code will work with EZ-Controller or EZ-Controller Turbo, but there are a couple
// of this you need correctly set:
//
// 1) Ensure you have the correct linker command line option for your target
// Menu Settings->Options->Compile Options->Extra Linker Options:
// '-rb 0x200' for EZ-Controller.
// '-rb 0x800' for EZ-Controller Turbo.
//
// 2) Make sure you have the correct target device selected:
// PIC18F252  for EZ-Controller
// PIC18F2520 for EZ-Controller Turbo


#include <system.h>

#pragma CLOCK_FREQ	20000000

void interrupt( void )
{
	latb ^= 128;

	clear_bit( intcon, T0IF );  //clear TMR0 overflow flag
}

void main()
{
	trisb &= 127;
	latb &= 127;

	// configure Timer0
	set_bit( t0con, TMR0ON );	//enable timer
	clear_bit( t0con, T08BIT );	//set 16-bit mode
	clear_bit( t0con, T0CS );	// select internal clock
	clear_bit( t0con, PSA ); 	// select prescaler
	set_bit( t0con, T0PS0 );	// set 1:64 prescale ratio
	clear_bit( t0con, T0PS1 );  
	set_bit( t0con, T0PS2 );
	
	// enable interrupts
	set_bit( intcon, TMR0IE ); //enable TMR0 overflow bit    
	set_bit( intcon, GIE );

	while( 1 ); //enter infinite loop
}
